Skip to main content
GET
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
/
lastBackgroundTask
Get last task information
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/lastBackgroundTask \
  --header 'Authorization: <api-key>'
{
  "asyncRequest": {
    "asyncResponse": {
      "acceptedSegmentsCount": 123,
      "dateCreated": "2023-11-07T05:31:56Z",
      "errorCode": "<string>",
      "errorDesc": "<string>",
      "errorDetails": [
        {
          "args": {},
          "code": "<string>",
          "message": "<string>"
        }
      ],
      "warnings": [
        {
          "args": {},
          "code": "<string>",
          "message": "<string>"
        }
      ]
    },
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "parent": "<unknown>",
    "project": {
      "name": "<string>",
      "uid": "<string>"
    }
  },
  "finishedDataText": "<string>",
  "lastTaskError": "<string>",
  "lastTaskErrorHtml": "<string>",
  "lastTaskOk": "<string>",
  "lastTaskString": "<string>",
  "metadata": {
    "deduplicatedSegmentsCount": 123,
    "metadataByLanguage": {},
    "segmentsCount": 123
  },
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Response

successful operation

asyncRequest
object
finishedDataText
string
lastTaskError
string
lastTaskErrorHtml
string
lastTaskOk
string
lastTaskString
string
metadata
object
status
string